=== debian/changelog ===
paperwork (2.0.2-3~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 12 Aug 2021 16:59:04 -0400

paperwork (2.0.2-3) unstable; urgency=medium

  * Source only upload, no changes

 -- Thomas Perret <thomas.perret@phyx.fr>  Sun, 21 Feb 2021 18:22:41 +0100

paperwork (2.0.2-2) unstable; urgency=medium

  * Improve packages descriptions
  * Suggests GUI packages in core and backend packages

 -- Thomas Perret <thomas.perret@phyx.fr>  Sun, 14 Feb 2021 12:14:57 +0100

paperwork (2.0.2-1) unstable; urgency=medium

  * debian/watch: prepare for new upstream version 2.0.2
  * New upstream version 2.0.2 (Closes: #973349)
  * Update desktop entry file to manage imports from files directly
  * debian/patches: refresh patches for new upstream version

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 06 Jan 2021 22:27:31 +0100

paperwork (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * debian/control: Add new packages and dependencies
  * debian/patches: refresh patch for 2.0.1 release
  * debian/tests: rewrite tests and add upstream unittests as DEP-8
  * debian/README.source: Document MUT package status
  * debian/copyright: Update copyright infos
  * debian/gbp.conf: Always use pristine-tar with gbp
  * debian/control: Bump Standards-Version to 4.5.1 (no changes needed)

 -- Thomas Perret <thomas.perret@phyx.fr>  Sun, 27 Dec 2020 12:46:02 +0100

paperwork (1.3.1-3) unstable; urgency=medium

  * debian/control:
    - Fix localization language pachages descriptions (Closes: #966682,
      #966683). Thanks @Alessandro Gandelli
    - Bump debhelper compat version

 -- Thomas Perret <thomas.perret@phyx.fr>  Tue, 11 Aug 2020 22:40:18 +0200
