=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_VERBOSE=1

ICON_SIZES := $(shell ls paperwork-gtk/src/paperwork_gtk/data/paperwork_*.png | cut -d'_' -f3 | cut -d'.' -f1 | grep -v 100)

paperwork-backend/src/paperwork_backend/_version.py: debian/_version.py.in
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< > $@

paperwork-gtk/src/paperwork_gtk/_version.py: debian/_version.py.in
	echo >> $@
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< >> $@

openpaperwork-core/src/openpaperwork_core/_version.py: debian/_version.py.in
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< > $@

openpaperwork-gtk/src/openpaperwork_gtk/_version.py: debian/_version.py.in
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< > $@
	
paperwork-shell/src/paperwork_shell/_version.py: debian/_version.py.in
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< > $@

debian/paperwork-gtk.install: debian/paperwork-gtk.install.in
	cp $< $@
	for iconsize in $(ICON_SIZES); do \
		mkdir -p debian/tmp/$$iconsize; \
		cp paperwork-gtk/src/paperwork_gtk/data/paperwork_$$iconsize.png debian/tmp/$$iconsize/work.openpaper.Paperwork.png; \
		echo "$$iconsize/work.openpaper.Paperwork.png /usr/share/icons/hicolor/$${iconsize}x$${iconsize}/apps/" >> $@; \
	done;


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_clean: paperwork-backend/src/paperwork_backend/_version.py paperwork-gtk/src/paperwork_gtk/_version.py openpaperwork-core/src/openpaperwork_core/_version.py openpaperwork-gtk/src/openpaperwork_gtk/_version.py paperwork-shell/src/paperwork_shell/_version.py
	dh_auto_clean -D openpaperwork-core --buildsystem=pybuild
	dh_auto_clean -D openpaperwork-gtk --buildsystem=pybuild
	dh_auto_clean -D paperwork-gtk --buildsystem=pybuild
	dh_auto_clean -D paperwork-backend --buildsystem=pybuild
	dh_auto_clean -D paperwork-shell --buildsystem=pybuild
	$(RM) openpaperwork-core/src/openpaperwork_core/_version.py
	$(RM) openpaperwork-gtk/src/openpaperwork_gtk/_version.py
	$(RM) paperwork-backend/src/paperwork_backend/_version.py
	$(RM) paperwork-gtk/src/paperwork_gtk/_version.py
	$(RM) paperwork-shell/src/paperwork_shell/_version.py
	$(RM) debian/paperwork-gtk.install
	$(RM) debian/paperwork-gtk.1
	$(RM) debian/paperwork-cli.1
	$(RM) debian/paperwork-json.1

override_dh_auto_configure: paperwork-backend/src/paperwork_backend/_version.py paperwork-gtk/src/paperwork_gtk/_version.py openpaperwork-core/src/openpaperwork_core/_version.py openpaperwork-gtk/src/openpaperwork_gtk/_version.py paperwork-shell/src/paperwork_shell/_version.py
	dh_auto_configure -D openpaperwork-core --buildsystem=pybuild
	dh_auto_configure -D openpaperwork-gtk --buildsystem=pybuild
	dh_auto_configure -D paperwork-gtk --buildsystem=pybuild
	dh_auto_configure -D paperwork-backend --buildsystem=pybuild
	dh_auto_configure -D paperwork-shell --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -D openpaperwork-core --buildsystem=pybuild
	PYTHONPATH=openpaperwork-core/src python3 -m sphinx -N -bhtml openpaperwork-core/doc build/openpaperwork_core/html
	dh_auto_build -D openpaperwork-gtk --buildsystem=pybuild
	PYTHONPATH=openpaperwork-gtk/src python3 -m sphinx -N -bhtml openpaperwork-gtk/doc build/openpaperwork_gtk/html
	dh_auto_build -D paperwork-gtk --buildsystem=pybuild
	dh_auto_build -D paperwork-backend --buildsystem=pybuild
	PYTHONPATH=paperwork-backend/src python3 -m sphinx -N -bhtml paperwork-backend/doc build/paperwork_backend/html
	dh_auto_build -D paperwork-shell --buildsystem=pybuild
	rst2man debian/paperwork-gtk.rst debian/paperwork-gtk.1
	rst2man debian/paperwork-cli.rst debian/paperwork-cli.1
	rst2man debian/paperwork-json.rst debian/paperwork-json.1
	make l10n_compile

override_dh_auto_install: debian/paperwork-gtk.install
	mkdir -p debian/tmp
	mv paperwork-gtk/src/paperwork_gtk/data/paperwork.svg debian/tmp/work.openpaper.Paperwork.svg
	dh_auto_install -D openpaperwork-core --buildsystem=pybuild
	dh_auto_install -D openpaperwork-gtk --buildsystem=pybuild
	dh_auto_install -D paperwork-gtk --buildsystem=pybuild
	dh_auto_install -D paperwork-backend --buildsystem=pybuild
	dh_auto_install -D paperwork-shell --buildsystem=pybuild

override_dh_auto_test:

override_dh_compress:
	dh_compress -X.pdf
