=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/paperwork.*\.tar\.gz/paperwork-$1\.tar\.gz/g,uversionmangle=s/\.post/post/ \
  https://gitlab.gnome.org/World/OpenPaperWork/paperwork/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
opts=component=data,uversionmangle=s/data/2.0.2/,filenamemangle=s/.*\/master_latest\/data\.tar\.gz/paperwork-data-2.0.2.tar.gz/ \
  https://download.openpaper.work/data/paperwork/master_latest/ (data).tar.gz same debian/orig-data-tar.sh
